# SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_exhaustive_variator.h File Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDL_visualtest_exhaustive_variator.h File Reference
`#include "SDL_visualtest_harness_argparser.h"`
`#include "SDL_visualtest_variator_common.h"`

Go to the source code of this file.

## Data Structures

struct | SDLVisualTest_ExhaustiveVariator

## Typedefs

typedef struct SDLVisualTest_ExhaustiveVariator | SDLVisualTest_ExhaustiveVariator

## Functions

int | SDLVisualTest_InitExhaustiveVariator (SDLVisualTest_ExhaustiveVariator *variator, SDLVisualTest_SUTConfig *config)
char * | SDLVisualTest_GetNextExhaustiveVariation (SDLVisualTest_ExhaustiveVariator *variator)
void | SDLVisualTest_FreeExhaustiveVariator (SDLVisualTest_ExhaustiveVariator *variator)

## Detailed Description

Header for the exhaustive variator.

## Typedef Documentation

typedef struct SDLVisualTest_ExhaustiveVariator SDLVisualTest_ExhaustiveVariator

Struct for the variator that exhaustively iterates through all variations of command line arguments to the SUT.

## Function Documentation

void SDLVisualTest_FreeExhaustiveVariator | ( | SDLVisualTest_ExhaustiveVariator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextExhaustiveVariation | ( | SDLVisualTest_ExhaustiveVariator * | variator) |  |

Gets the arguments string for the next variation using the variator and updates the variator's current variation object to the next variation.

Returns
  The arguments string representing the next variation on success, and NULL on failure or if we have iterated through all possible variations. In the latter case subsequent calls will start the variations again from the very beginning. The pointer returned should not be freed.

int SDLVisualTest_InitExhaustiveVariator | ( | SDLVisualTest_ExhaustiveVariator * | variator,
|  | SDLVisualTest_SUTConfig * | config
| ) |  |

Initializes the variator.

Returns
  1 on success, 0 on failure